#
# spec file for package qmp3gain
#
# Copyright (c) 2018 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           qmp3gain
Version:        0.9.0
Release:        7.1
Summary:        Qt frontend for mp3gain
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Editors and Convertors
URL:            https://qmp3gain.sourceforge.io
Source0:        https://sourceforge.net/projects/qmp3gain/files/qmp3gain/%{version}/qmp3gain-%{version}.tar.gz
# PATCH-FEATURE-OPENSUSE qmp3gain-0.9.0-qt5.patch
Patch0:         qmp3gain-0.9.0-qt5.patch
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt5-linguist
BuildRequires:  libqt5-qttools
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  sqlite3
Requires:       mp3gain
Supplements:    mp3gain
Recommends:     %{name}-lang = %{version}

%description
QMP3Gain is a frontend for mp3gain which analyses and adjusts your
media files so that they have the same volume without the need to
reencode the files.

%lang_package

%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p1

%build
export QT_HASH_SEED=0
%qmake5
%make_build

%install
ts='1234567890'
date="`date -u --iso-8601=seconds -d @${ts} | sed 's@+.*@@'`"
TimeStamp="${date}"
LastRegisterTime="${date}.123"
%qmake5_install
install -D -m0644 resources/kde4/icons/48x48/qmp3gain.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file -r %{name} Qt AudioVideo AudioVideoEditing

%find_lang %{name} --with-qt

if pushd %{buildroot}%{_datadir}/%{name}/help
then
 sqlite3 qmp3gain.qhc .dump > dump.old
 sqlite3 qmp3gain.qhc "UPDATE SettingsTable SET Value = '${LastRegisterTime}' WHERE Key = 'LastRegisterTime'"
 sqlite3 qmp3gain.qhc "UPDATE SettingsTable SET Value = ${ts} WHERE Key = 'CreationTime'"
 if grep -qw TimeStampTable dump.old
 then
 sqlite3 qmp3gain.qhc "UPDATE TimeStampTable SET TimeStamp = '${TimeStamp}' WHERE NamespaceId = 1"
 fi
 sqlite3 qmp3gain.qhc .dump > dump.new
 if diff -u dump.old dump.new
 then
  exit 12
 fi
 rm -f dump.old dump.new
 touch -d "@${ts}" * .
fi

%files
%defattr(-,root,root)
%license COPYING
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/help
%{_datadir}/%{name}/resources

%files lang -f %{name}.lang
%dir %{_datadir}/%{name}/translations

%changelog
* Sun Feb 11 2018 aloisio@gmx.com
- Initial package (0.9.0)
